webform_simplify.settings:
  type: config_object
  label: 'Webform Simplify Settings'
  mapping:
    disable_help:
      type: boolean
      label: 'Disable help sections'
    simplify_super_user:
      type: boolean
      label: 'Simplify for super users'
      description: 'Simplify the Webform UI for user 1 and users with the administrator role'
    webform_settings:
      type: mapping
      label: 'Webform settings'
      mapping:
        disabled_confirmation_types:
          type: sequence
          label: 'Disabled confirmation types'
          sequence:
            type: string
        disabled_form_settings:
          type: sequence
          label: 'Disabled form settings'
          sequence:
            type: string
        disabled_submissions_settings:
          type: sequence
          label: 'Disabled submissions settings'
          sequence:
            type: string
    element_settings:
      type: sequence
      label: 'Element Settings'
      sequence:
        type: webform_simplify.element.[%key]

webform_simplify.element.*:
  type: config_entity
  mapping:
    disabled_tabs:
      type: sequence
      label: 'Disabled tabs'
      sequence:
        type: string
    disabled_features:
      type: sequence
      label: 'Disabled features'
      sequence:
        type: string
    disabled_condition_states:
      type: sequence
      label: 'Disabled condition states'
      sequence:
        type: string
    disabled_condition_triggers:
      type: sequence
      label: 'Disabled condition triggers'
      sequence:
        type: string
    disabled_condition_operators:
      type: sequence
      label: 'Disabled condition operators'
      sequence:
        type: string
